## net.i2p.router.transport
Interface Transport

All Known Implementing Classes:
  TransportImpl

public interface Transport

Defines a way to send a message to another peer and start listening for messages

Method Summary
`TransportBid` `bid(RouterInfo toAddress, long dataSize)`
`int` `countActivePeers()`
`RouterAddress` `getCurrentAddress()`
`java.util.List` `getMostRecentErrorMessages()`
`short` `getReachabilityStatus()`
`java.lang.String` `getStyle()`
`void` `recheckReachability()`
`void` `renderStatusHTML(java.io.Writer out)`
`void` `send(OutNetMessage msg)` Asynchronously send the message as requested in the message and, if the send is successful, queue up any msg.getOnSendJob job, and register it with the OutboundMessageRegistry (if it has a reply selector).
`void` `setListener(TransportEventListener listener)`
`RouterAddress` `startListening()`
`void` `stopListening()`

Method Detail

### bid

    public TransportBid bid(RouterInfo toAddress,
                            long dataSize)

### send

    public void send(OutNetMessage msg)

  Asynchronously send the message as requested in the message and, if the send is successful, queue up any msg.getOnSendJob job, and register it with the OutboundMessageRegistry (if it has a reply selector). If the send fails, queue up any msg.getOnFailedSendJob

### startListening

    public RouterAddress startListening()

### stopListening

    public void stopListening()

### getCurrentAddress

    public RouterAddress getCurrentAddress()

### setListener

    public void setListener(TransportEventListener listener)

### getStyle

    public java.lang.String getStyle()

### countActivePeers

    public int countActivePeers()

### getMostRecentErrorMessages

    public java.util.List getMostRecentErrorMessages()

### renderStatusHTML

    public void renderStatusHTML(java.io.Writer out)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### getReachabilityStatus

    public short getReachabilityStatus()

### recheckReachability

    public void recheckReachability()